import React from "react";
import Image from "next/image";

const HowItWorks = () => {
  return (
    <div className="bg-[#FFFFFF] min-h-screen p-10 w-[75vw] mx-auto font-clashDisplay">
      <h1 className="text-blueaid font-extrabold text-center text-5xl mb-8 md:mb-12">
        How HumanityAid Works
      </h1>
      <div className="flex flex-col md:flex-row md:justify-between md:items-start">
        <div className="w-full md:w-[19vw] h-[30vh] shadow-2xl p-6 rounded-xl mb-8 md:mb-0">
          <Image
            src="/images/Step 1.png"
            alt="step 1"
            width="100"
            height="100"
          />
          <div className="text-blueaid text-2xl font-bold mt-5">Step 1:</div>
          <div className="text-sm md:text-base">
            Sign up and register your case
          </div>
        </div>
        <div className="w-full md:w-[19vw] h-[30vh] shadow-2xl p-6 rounded-xl mb-8 md:mb-0 md:mt-20">
          <Image
            src="/images/Step 2.png"
            alt="step 2"
            width="100"
            height="100"
          />
          <div className="text-blueaid text-2xl font-bold mt-5">Step 2:</div>
          <div className="text-sm md:text-base">
            Our team matches you with the right professional
          </div>
        </div>
        <div className="w-full md:w-[19vw] h-[30vh] shadow-2xl p-6 rounded-xl mb-8 md:mb-0 md:mt-40">
          <Image src="/images/Step 3.png" alt="step 3" width="70" height="70" />
          <div className="text-blueaid text-2xl font-bold mt-2">Step 3:</div>
          <div className="text-sm md:text-base">
            Get the support you need to overcome challenges
          </div>
        </div>
      </div>
      <div className="flex flex-col md:flex-row justify-between items-center mt-14">
        <div className="w-full md:w-auto mb-8 md:mb-0">
          <div className="font-extrabold text-xl text-center md:text-left mb-2">
            Are you facing a challenge? <br /> Let us assist you!
          </div>
          <button className="text-blueaid bg-white px-6 py-2 border-2 border-blueaid rounded-md mt-3 w-full md:w-auto md:ml-auto">
            Get Help
          </button>
        </div>
        <div className="w-full md:w-auto">
          <div className="font-extrabold text-xl text-center md:text-left mb-2">
            Ready to make a difference? <br /> Volunteer your expertise now!
          </div>
          <div className="flex justify-end">
          <button className="bg-blueaid text-white px-6 py-2 rounded-md mt-3 w-full md:w-auto md:ml-auto">
            Offer Help
            </button>
            </div>
        </div>
      </div>
    </div>
  );
};

export default HowItWorks;
